package com.zd.bottle.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.bottle.domain.UsegasAuditRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author Administrator
 */
@ApiModel("用气资格详情")
public class UsegasApplyDetailVo {

    @ApiModelProperty(value = "${comment}")
    private Long id;

    @ApiModelProperty(value = "使用气体")
    private String useGasName;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("期限开始")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("使用期限")
    private Date endTime;

    @ApiModelProperty("气瓶用途")
    private String gasUse;

    @ApiModelProperty("主要安全措施")
    private String safetyPrecautions;

    @ApiModelProperty("用气申请表")
    private String applyCertificate;

    @ApiModelProperty("申请人")
    private String applyUser;

    @ApiModelProperty("联系方式")
    private String phone;

    @ApiModelProperty("审核记录")
    private List<UsegasAuditRecord> details;

    public String getUseGasName() {
        return useGasName;
    }

    public void setUseGasName(String useGasName) {
        this.useGasName = useGasName;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getGasUse() {
        return gasUse;
    }

    public void setGasUse(String gasUse) {
        this.gasUse = gasUse;
    }

    public String getSafetyPrecautions() {
        return safetyPrecautions;
    }

    public void setSafetyPrecautions(String safetyPrecautions) {
        this.safetyPrecautions = safetyPrecautions;
    }

    public String getApplyCertificate() {
        return applyCertificate;
    }

    public void setApplyCertificate(String applyCertificate) {
        this.applyCertificate = applyCertificate;
    }

    public List<UsegasAuditRecord> getDetails() {
        return details;
    }

    public void setDetails(List<UsegasAuditRecord> details) {
        this.details = details;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public String getApplyUser() {
        return applyUser;
    }

    public void setApplyUser(String applyUser) {
        this.applyUser = applyUser;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
